/* GlSttngs.h */

#ifndef __GLSTTNGS_H
#define __GLSTTNGS_H

#include "Settings.h"

extern Settings globalSettings;

#define GLOBAL_BOOLEAN(key) globalSettings.getBooleanSettingValue(key)
#define GLOBAL_INTEGER(key) globalSettings.getIntegerSettingValue(key)
#define GLOBAL_REAL(key)    globalSettings.getRealSettingValue(key)
#define GLOBAL_STRING(key)  globalSettings.getStringSettingValue(key)

#define IMPORT_BOOLEAN(variable,key) const bool   variable=GLOBAL_BOOLEAN(key);
#define IMPORT_INTEGER(variable,key) const int    variable=GLOBAL_INTEGER(key);
#define IMPORT_REAL(variable,key)    const double variable=GLOBAL_REAL(key);
#define IMPORT_STRING(variable,key)  const String variable=GLOBAL_STRING(key);

#endif  // __GLSTTNGS_H

