/* OpenFile.h */

#include <fstream>

#include "LogOut.h"

using namespace std;

#include "GlSttngs.h"

/* -    */
inline bool openFile( ifstream& inputFileStream, const char* fileName )
  {
    inputFileStream.open(fileName);  //   
    if ( !inputFileStream )  //   
      {  //   
        cerr << "    '" << fileName << "'  ."<<endl;
        return false;  //  negative
      }
    else  // 
      {  // 
        if ( GLOBAL_BOOLEAN("LogAllowed") )
          tlog << " *  '" << fileName << "'    .\n";
        return true;  //  positive
      }
  }
inline bool openFile( ofstream& outputFileStream, const char* fileName )
  {
    outputFileStream.open(fileName);  //   
    if ( !outputFileStream )  //   
      {  //   
        cerr << "    '" << fileName << "'  ."<<endl;
        return false;  //  negative
      }
    else  // 
      {  // 
        if ( GLOBAL_BOOLEAN("LogAllowed") )
          tlog << " *  '" << fileName << "'    .\n";
        return true;  //  positive
      }
  }
