/* TUtils.h */

#ifndef __TUTILS_H
#define __TUTILS_H

#include "IntMat.h"
#include "ClArray.h"
#include "GeneTabl.h"
#include "GeneTree.h"
#include "SpecTree.h"

void equalizeLengths          ( RGeneTree  gTree  );
void equalizeLengths          ( RCClArray  gTrees );
void generateSpeciesTree      ( RCClArray  gTrees,     RSpeciesTree  sTree  );
bool normalizeGeneTrees       ( RCClArray  gTrees );
void calculateProximity       ( RIntMatrix proximity,
                                RCClArray  gTrees,     RCGenesTable  gTable );
void orderSpeciesTreeBranches (                        RSpeciesTree  sTree  );
void randomizeSpeciesTree     ( RSpeciesTree sTree,    RCIntMatrix   proximity,
                                                       RCGenesTable  gTable );
int  removeAbsentGenes        ( RClArray   gTrees,     RCSpeciesTree sTree  );
OK_ERROR removeGene           ( RGeneTree  gTree,      RCString gene );
void setSpeciesOnGeneTrees    ( RCClArray  gTrees,     RCGenesTable  gTable );

#endif  // __TUTILS_H
